Type to search.

Get follower information

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.7 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get information about all cross-cluster replication follower indices. For example, the results include follower index names, leader index names, replication options, and whether the follower indices are active or paused.

Read the reference documentation

Required privileges

Cluster privileges monitor

Path parameters

index union string | string[] required

A comma-delimited list of follower index patterns.

Query parameters

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. It can also be set to -1 to indicate that the request should never timeout.

Values: -1 0

Response

application/json
follower_indices object[] required
follower_index string required

The name of the follower index.

leader_index string required

The name of the index in the leader cluster that is followed.

remote_cluster string required

The remote cluster that contains the leader index.

status enum required

The status of the index following: active or paused.

Values: active paused